Help
cancel
Showing results for 
Search instead for 
Did you mean: 
Copilot Lvl 2
Message 1 of 2

can't install expo

Solved! Go to Solution.
npm ERR! code ELIFECYCLE
npm ERR! errno 1
npm ERR! libxmljs@0.19.7 install: `node-pre-gyp install --fallback-to-build --loglevel http`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the libxmljs@0.19.7 install script.
npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in:
npm ERR!     C:\Users\antho\AppData\Roaming\npm-cache\_logs\2019-11-19T12_00_15_255Z-debug.log

windows 10

node.js 12.13.1

python 3.8

 

Hello, I'm trying to download expo then I typed "npm install -g expo-cli"

At the end I always get the answer above.

 

I uninstalled node.js and got it back, updated python.

Used PowerShell as an administrator instead of cmd

Tried "npm install --global --production windows-build-tools" after getting python updated

I've checked every single post related to this problem and nothing worked for me.

 

1 Reply
Highlighted
Solution
Commander Lvl 2
Message 2 of 2

Re: can't install expo

Did you try their forums?

Please follow-up to let us know how you made out. For good karma, mark a reply as the answer if it helped!